AUDIT_NAME_TO_FLAG(3)

NAME
audit_name_to_flag - Convert the rule-matching filter name to the numeric rule-matching filter value

SYNOPSIS
#include <libaudit.h>

int audit_name_to_flag(const char *flag);

DESCRIPTION
audit_name_to_flag() converts the rule-matching filter name ("task", "exit", "user", "exclude", "filesystem") to the numeric rule-matching filter value (AUDIT_FILTER_TASK, AUDIT_FILTER_EXIT, AUDIT_FILTER_USER, AUDIT_FILTER_EXCLUDE, AUDIT_FILTER_FS). flag is the rule-matching filter name.

RETURN VALUE
Returns -1 if an error occurs; otherwise, the return value is the numeric rule-matching filter value.

SEE ALSO
audit_flag_to_name(3),

AUTHOR
Steve Grubb